multi monitors - black flashes or black screen when the mouse cursor leaves a monitor

Bug #1553503 reported by groucho on 2016-03-05
218
This bug affects 41 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
High
Unassigned
Xenial
High
Timo Aaltonen

Bug Description

When the mouse cursor leaves one of the screens, there is either :
- no problem
- the screen becomes black just below the position of the cursor and instantly comes back to normal.
- the screen becomes entirely black with some random colored pixels flickering on the far left of the screen. I have to move the cursor to the black screen, otherwise it stays black.

It happens on Ubuntu Gnome 16.04 Beta and Ubuntu Mate 16.04 Beta.
I have tested with other distributions (Debian Jessie and Fedora) and everything is fine.

Hardware : Intel Ironlake (Thinkpad X201) with an external monitor plugged in.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xorg 1:7.7+13ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-7.22-generic 4.4.2
Uname: Linux 4.4.0-7-generic x86_64
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
CasperVersion: 1.367
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: GNOME
Date: Sat Mar 5 13:17:15 2016
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Core Processor Integrated Graphics Controller [17aa:215a]
LiveMediaBuild: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160225.1)
MachineType: LENOVO 3680KD3
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz quiet splash --- maybe-ubiquity
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/11/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: 6QET70WW (1.40 )
dmi.board.name: 3680KD3
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6QET70WW(1.40):bd10/11/2012:svnLENOVO:pn3680KD3:pvrThinkPadX201:rvnLENOVO:rn3680KD3:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 3680KD3
dmi.product.version: ThinkPad X201
dmi.sys.vendor: LENOVO
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.1.2-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.1.2-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.17.3-2ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.6.1-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160218-1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1
xserver.bootTime: Sat Mar 5 13:03:55 2016
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 2202
 vendor BOE
xserver.version: 2:1.17.3-2ubuntu4

groucho (grouchomarx-fr) wrote :
groucho (grouchomarx-fr) on 2016-03-05
summary: - multi monitor - black flashes and black screen
+ multi monitors - black flashes and black screen when the mouse cursor
+ leaves the monitor
summary: - multi monitors - black flashes and black screen when the mouse cursor
+ multi monitors - black flashes or black screen when the mouse cursor
leaves the monitor
summary: multi monitors - black flashes or black screen when the mouse cursor
- leaves the monitor
+ leaves a monitor

groucho, thank you for reporting this and helping make Ubuntu better.

To clarify, did this problem not occur in a release prior to 16.04?

tags: added: latest-bios-1.40
Changed in xorg (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
groucho (grouchomarx-fr) wrote :

I have checked some live images :

- Ubuntu and Ubuntu Mate 15.10 are fine.

- Ubuntu 16.04 daily (from last week), Ubuntu Gnome and Ubuntu Mate 16.04 Beta 1 have the problem.

groucho, to further narrow this down, if you tested a 4.2.x kernel from https://wiki.ubuntu.com/Kernel/MainlineBuilds , does the issue go away?

tags: added: regression-release
groucho (grouchomarx-fr) wrote :

Indeed, if I try the 4.2.8-040208-generic kernel, the issue goes away.

groucho, in order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
1) The one to test is at the very top line at the top of the page (not the daily folder).
2) The release names are irrelevant.
3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Also, you don't need to apport-collect further unless specifically requested to do so.

Once testing of the latest upstream kernel is complete, please mark this report Status Confirmed. Please let us know your results.

Thank you for your understanding.

affects: xorg (Ubuntu) → linux (Ubuntu)
groucho (grouchomarx-fr) wrote :

I have tried the latest kernel v4.5-rc7 and the problem is gone.

tags: added: kernel-fixed-upstream-4.5-rc7
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

groucho, the next step is to fully reverse commit bisect from kernel 4.4 to 4.5-rc7 in order to identify the last bad commit, followed immediately by the first good one. Once this good commit has been identified, it may be reviewed for backporting. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection#How_do_I_reverse_bisect_the_upstream_kernel.3F ?

Please note, finding adjacent kernel versions is not fully commit bisecting.

After the fix commit (not kernel version) has been identified, then please mark this report Status Confirmed.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: kernel-fixed-upstream needs-reverse-bisect
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
groucho (grouchomarx-fr) wrote :

Thank you for your guidance.
Here is the result of the reverse bisect :

e2e407dc093f530b771ee8bf8fe1be41e3cea8b3 is the first bad commit
commit e2e407dc093f530b771ee8bf8fe1be41e3cea8b3
Author: Matt Roper <email address hidden>
Date: Mon Feb 8 11:05:28 2016 -0800

    drm/i915: Pretend cursor is always on for ILK-style WM calculations (v2)

    Due to our lack of two-step watermark programming, our driver has
    historically pretended that the cursor plane is always on for the
    purpose of watermark calculations; this helps avoid serious flickering
    when the cursor turns off/on (e.g., when the user moves the mouse
    pointer to a different screen). That workaround was accidentally
    dropped as we started working toward atomic watermark updates. Since we
    still aren't quite there yet with two-stage updates, we need to
    resurrect the workaround and treat the cursor as always active.

    v2: Tweak cursor width calculations slightly to more closely match the
        logic we used before the atomic overhaul began. (Ville)

    Cc: <email address hidden>
    Cc: <email address hidden>
    Cc: <email address hidden>
    Reported-by: <email address hidden>
    Reported-by: <email address hidden>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=93892
    Fixes: 43d59eda1 ("drm/i915: Eliminate usage of plane_wm_parameters from ILK-style WM code (v2)")
    Signed-off-by: Matt Roper <email address hidden>
    Link: http://patchwork.freedesktop.<email address hidden>
    (cherry picked from commit b2435692dbb709d4c8ff3b2f2815c9b8423b72bb)
    Signed-off-by: Jani Nikula <email address hidden>
    Link: http://patchwork.freedesktop.org<email address hidden>

:040000 040000 545634aa608f59cd8959a6196761450afa57ee5b 7b3259c003cbd1e27e02c976d73af848f69d248c M drivers

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: cherry-pick reverse-bisect-done
removed: needs-reverse-bisect
Changed in linux (Ubuntu):
importance: Medium → High
status: Confirmed → Triaged
Vanyolai Krisztián (vanyolai) wrote :

The v4.6 rc6 upstream kernel seems to fix this issue

Linux kernel v4.5.3 fixed the issue for me

Andes Johnsen (andejs) wrote :

I'm using kernel 4.5.2 to get around this issue. Are there any update on getting this cherry-picked?

Che (che-fisher) wrote :

Confirming this bug on the X1 Carbon model ThinkPad too. Keep up the good work team.

Fábio Tramasoli (ilosamart) wrote :

I can confirm this bug with final relase of Ubuntu Gnome 16.04, Kernel 4.4.0-28 on a Dell Optiplex 7010.
Fixed with upstream kernel 4.6.3-040603.

Thanks folks!

Che / Fábio Tramasoli, the way to confirm this bug is to test applying the commit noted in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1553503/comments/9 fixes your issue. Is this what you did?

Jakob Reiter (jakommo) wrote :

Christopher,

I'm hitting this bug too on my Thinkpad x250 with a dockingstation and two external displays.
I'm happy to test, but haven't built a kernel in a long time. Any guidance on how to apply that commit?
Is it like this: https://wiki.ubuntu.com/Kernel/KernelBisection#Testing_a_newly_released_patch_from_upstream
If I'm reading it correct that would build the kernel from master and not apply that commit to a 4.4 branch, so not sure how to test.

Thanks,
Jakob

Fábio Tramasoli (ilosamart) wrote :

Christopher M. Penalver, that's not what I did, I just installed the binary kernel 4.6.3-040603 and things are working as expected.

But I can try to apply the patch later this week (I'm on my main work machine).

Jakob Reiter (jakommo) wrote :

I've cherry-picked e2e407dc093f530b771ee8bf8fe1be41e3cea8b3 on to 4.4.0-28.47 and compiled the kernel and it looks like this did solve the issue. (Just tested for 15 minutes, but with the default kernel it appeared within seconds already).

Daniel (web-s) wrote :

Confirming this bug with Xubuntu 16.04 on a Lenovo Thinkpad T450
Linux core 4.4.0-28-generic #47-Ubuntu SMP Fri Jun 24 10:09:13 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Great to hear a solution coming soon, good work!

Andrew (andrew-lock) wrote :

On Lenovo Thinkpad X201 with docking station with two external monitors, one on VGA, one on displayport effect is generally that the screen being left just flickers slightly.

I have had the screen go black with flickering pixels on the side and thought it was when crossing over slowly but just tried to replicate and can't so more rare in my case.

Fresh 16.04 install yesterday (was on 14.04 with no issue).

Linux ThinkPad-X201 4.4.0-28-generic #47-Ubuntu SMP Fri Jun 24 10:09:13 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Thomas Mayer (thomas303) wrote :

Confirming this, using a Dell Latitude E5510 with Intel HD Graphics (on-chip), together with a docking station PR02X and a two-monitor-setup (2x BenQ GW2460, 1920x1080, DVI).

The problem occurs most of the time when scrolling in a full screen application on the left screen using the scroll bar (click the bar and move the mouse) while the mouse coursor leaves the screen during the scroll. This gives me a flackering or one of the screen goes black with a little random noise on the leftest ~50 pixels of the screen.

This issue is new to me after upgrading from 14.04 with latest kernel 4.2 patches to 16.04 with kernel 4.4.0-28-generic. This issue is a regression as I'm still using exactly the same hardware.

Thomas Mayer (thomas303) wrote :

After more testing I can say that also the same screen on which I am scrolling with the scroll bars can go black.

When the mouse switches between screens, I get a flickering in ~50% of tries.

Please note that I'm using Kernel 4.4.0-28, which is newer than 4.4.0-24 which contains a fix for a similar issue via https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1554613

Processor generation is Westmere in my case.

lshw output for my graphics adapter (Intel® HD Graphics, on-chip via core i5 M520

        *-display
             Beschreibung: VGA compatible controller
             Produkt: Core Processor Integrated Graphics Controller
             Hersteller: Intel Corporation
             Physische ID: 2
             Bus-Informationen: pci@0000:00:02.0
             Version: 02
             Breite: 64 bits
             Takt: 33MHz
             Fähigkeiten: msi pm vga_controller bus_master cap_list rom
             Konfiguration: driver=i915 latency=0
             Ressourcen: irq:25 memory:f0000000-f03fffff memory:e0000000-efffffff ioport:8080(Größe=8)

http://ark.intel.com/de/products/47341/Intel-Core-i5-520M-Processor-3M-Cache-2_40-GHz
https://en.wikipedia.org/wiki/List_of_Intel_Core_i5_microprocessors

Changed in linux (Ubuntu):
status: Triaged → Fix Committed

Sorry for the wrong status change, inadvertently set it to "Fix Committed".
I confirm this bug.

Changed in linux (Ubuntu):
status: Fix Committed → Confirmed
Thomas Mayer (thomas303) wrote :

For this symptomatic there is an upstream bug report with status RESOLVED FIXED:
- Dual monitor
- Flickering or black screen when mouse moved between screens

https://bugs.freedesktop.org/show_bug.cgi?id=89055#c62
Date: 2016-05-13
Upstream target kernel version: 4.8.

Maybe this can be backported?

Thomas Mayer (thomas303) wrote :

https://cgit.freedesktop.org/drm-intel/commit/?id=734fa01f3a17ac80d2d53cee0b05b246c03df0e4

This seems to be at least ONE of the patches done for https://bugs.freedesktop.org/show_bug.cgi?id=89055#c62

I have no idea if it fixes this issue (=> not tested) nor do I really understand the commit message.

Maybe a candidate for a proposed package?

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Henri Cook (henricook) wrote :

This also affects me on Xenial, completely breaks my dual screen setup - i'd love a fix for

https://bugs.freedesktop.org/show_bug.cgi?id=89055#c62

tags: added: kernel-da-key
Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Triaged → In Progress
assignee: Joseph Salisbury (jsalisbury) → nobody
status: In Progress → Triaged
Changed in linux (Ubuntu Xenial):
status: New → Triaged
importance: Undecided → High
Joseph Salisbury (jsalisbury) wrote :

It appears there my be multiple issues reported here. There is not a single commit, but may commits to fix the issue. However, the v4.8-rc1 kernel is now available and might be worth testing.

Would it be possible for folks affected by this bug to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.8 kernel[0].

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8-rc1

Timo Aaltonen (tjaalton) wrote :

this is partially fixed in v4.8-rc1, but work is still ongoing upstream to fix the rest

groucho (grouchomarx-fr) wrote :

I don't think https://bugs.freedesktop.org/show_bug.cgi?id=89055#c62 is the same bug that I reported initially.

I don't have a BXT/SKL and the bug I have experienced has been fixed since 4.5

Henri Cook (henricook) wrote :

Ah, sorry if that's dragged the bug off topic.

Although, while we're talking about it, I had a dual screen not working issue with an Nvidia card (with Nouveau or Nvidia drivers). When i connected i experienced a near identical stack trace to the one in this ticket.

Installing 4.8-rc1 this morning has given me dual screen! It's a happy day indeed. I can't use the Nvidia drivers because i don't think there's any extras packages (not entirely sure how that works) but luckily Nouveau now does the job.

I've got some pointer ghosting and replicating-type problems but those are very much live-with-able

I've been chasing this bug for months, and been thinking it was an Nvidia driver problem, so i was really happy to come across some of the info in this ticket, thanks also for your tips around installing 4.8-rc1 as well @Joseph Salisbury

winnie (winnie-) wrote :

We have a lab with different generation of Intel CPUs, starting at core2duo, first i-series to third generation i-series. We have the exact problem described here but only with the first generation i5-CPUs. Others work fine.

I have tested 4.4.0-36.55 (afaik proposed right now), the 4.4.9 mainline and the 4.5 mainline. I can confirm that the latter one fixes the problem.

Is there any chance the patch will make it into 4.4.0 anytime soon?

Thanks in advance

Timo Aaltonen (tjaalton) wrote :

someone would need to bisect it first

groucho (grouchomarx-fr) wrote :

Do you mean the reverse bisect I did in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1553503/comments/9, or is it something else ?

Timo Aaltonen (tjaalton) wrote :

Sorry, I did not notice that. I'll build a kernel so you can test it today, which is also the deadline for new commits for next kernel SRU cycle..

winnie (winnie-) wrote :

Just tested the proposed kernel from the Kernel PPAs and afterwards your patched version. Can verify that your fix works!

Timo Aaltonen (tjaalton) wrote :

Thanks for testing, I've sent the patch to the kernel-team list to be included in the next SRU cycle.

Changed in linux (Ubuntu Xenial):
assignee: nobody → Timo Aaltonen (tjaalton)
status: Triaged → In Progress
groucho (grouchomarx-fr) wrote :

Your Kernel fixes the bug that I have initially reported.
Thank you very much.

Tim Gardner (timg-tpi) wrote :

This patch came in via v4.4.18 stable. Marking fix released since this bug won't auto-close.

Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Released
Changed in linux (Ubuntu):
status: Triaged → Fix Released

Dear all,
a few days ago my Ubuntu 14.04. on a Dell Latitude Laptop wanted me update the Hardware Enablement Stack. I did this, but from then on I had this bug described in here. My kernel version is 4.4.0-36-generic and I am now at Ubuntu 14.04.5. Since I am just a simple and naive user with no knowledge of the details and depth of the system, I have not the slightest idea what the problem is and I have difficulties to grasp the discussion above. I only was a good boy and simply did all the updates requested by the update center.

Is there any chance that a fix comes via the update center in the near future ?

Thank you.

Janek Greskowiak, given the fix for this issue didn't address yours, you would have a different problem.

It will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Nikita Bozhko (vault-boy) wrote :

Hi all,

I updated my Xubuntu 16.04 to latest version 16.04.1 with kernel 4.4.0-36-generic. As I see the problem was fixed in this version, but problem still for me.

groucho (grouchomarx-fr) wrote :

Hi, the bug hasn't been fixed in kernel v4.4.0-36-generic.

If I understand it correctly, we have to wait for the next update.

Nikita Bozhko, given the fix for this issue didn't address your problem, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Timo Aaltonen (tjaalton) wrote :

grouch has an Ironlake system, this bug will be fixed for that generation in 4.4.0-37.xx

others with skylake etc do not benefit from that version, file a new bug or wait for 4.8/4.9

Thomas Mayer (thomas303) wrote :

I can confirm this is not fixed for 4.4.0-36 with an Ironlake GPU (tested with Intel Core i5 520M CPU).

Let's wait for the Ironlake-specific bugfix in 4.4.0-37, I'll report back after it is released.

Nikita Bozhko (vault-boy) wrote :

Hi groucho, Timo,

Thank you for responding. That means I misunderstand about when patch should be applying.

jack lemon (mb0087) wrote :

I'm facing the bug too on Lubuntu 16.04.1 on a ThinkPad Edge 11 with Kernel 4.4.0-36-generic.

Sorry for the maybe stupid question, but will the fixed kernel version eventually be come via "apt-get update" in the near future or only when 16.04.2 is released?

Download full text (4.6 KiB)

I have this bug since I installed Ubuntu 16.04 on my Dell Optiplex 980 with
Intel Graphics. My Kernel is, I think, "4.4.0-36-generic x86_64"

Is there any more info I could gather to help with it or I just need to
wait for the fix to come?

ps.: I am not an advanced user.

Thanks.

Em qui, 15 de set de 2016 às 07:46, jack lemon <email address hidden> escreveu:

> I'm facing the bug too on Lubuntu 16.04.1 on a ThinkPad Edge 11 with
> Kernel 4.4.0-36-generic.
>
> Sorry for the maybe stupid question, but will the fixed kernel version
> eventually be come via "apt-get update" in the near future or only when
> 16.04.2 is released?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1553503
>
> Title:
> multi monitors - black flashes or black screen when the mouse cursor
> leaves a monitor
>
> Status in Linux:
> Unknown
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux source package in Xenial:
> Fix Released
>
> Bug description:
> When the mouse cursor leaves one of the screens, there is either :
> - no problem
> - the screen becomes black just below the position of the cursor and
> instantly comes back to normal.
> - the screen becomes entirely black with some random colored pixels
> flickering on the far left of the screen. I have to move the cursor to the
> black screen, otherwise it stays black.
>
> It happens on Ubuntu Gnome 16.04 Beta and Ubuntu Mate 16.04 Beta.
> I have tested with other distributions (Debian Jessie and Fedora) and
> everything is fine.
>
> Hardware : Intel Ironlake (Thinkpad X201) with an external monitor
> plugged in.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: xorg 1:7.7+13ubuntu1
> ProcVersionSignature: Ubuntu 4.4.0-7.22-generic 4.4.2
> Uname: Linux 4.4.0-7-generic x86_64
> ApportVersion: 2.20-0ubuntu3
> Architecture: amd64
> CasperVersion: 1.367
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> CurrentDesktop: GNOME
> Date: Sat Mar 5 13:17:15 2016
> DistUpgraded: Fresh install
> DistroCodename: xenial
> DistroVariant: ubuntu
> ExtraDebuggingInterest: Yes
> GraphicsCard:
> Intel Corporation Core Processor Integrated Graphics Controller
> [8086:0046] (rev 02) (prog-if 00 [VGA controller])
> Subsystem: Lenovo Core Processor Integrated Graphics Controller
> [17aa:215a]
> LiveMediaBuild: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Alpha amd64
> (20160225.1)
> MachineType: LENOVO 3680KD3
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper
> initrd=/casper/initrd.lz quiet splash --- maybe-ubiquity
> SourcePackage: xorg
> Symptom: display
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 10/11/2012
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 6QET70WW (1.40 )
> dmi.board.name: 3680KD3
> dmi.board.vendor: LENOVO
> dmi.board.version: Not Available
> dmi.chassis.asset.tag: No Asse...

Read more...

Timo Aaltonen (tjaalton) wrote :

enable proposed, install the kernel update and see if it helps?

jack lemon (mb0087) wrote :

@tjaalton Thank you, I followed https://wiki.ubuntu.com/Testing/EnableProposed to enable proposed and ran "sudo apt-get install linux-image-4.4.0-38-generic".
But after reboot I had a low screen resolution on my laptop and it did no longer recognize my 2nd screen at all (did not turn on, xrandr did not see it either). uname confirmed I was running 4.4.0-38
I uninstalled the kernel again and it is as before again.

Did I do it wrong?

Timo Aaltonen (tjaalton) wrote :

yes, if you don't install the metapackage then you need to install linux-image-extra-4.4.0-38-generic too

Bruno (brunofporto) wrote :

Hello,

4.4.0-38 worked perfectly to me.

Steps (for those as noob as me):

- Enable "Pre-released updates" at "Software & Updates" from "System Settings".

- Open a terminal window and execute: "sudo apt update" and then "sudo apt install linux-generic"

Restart.

That should do the trick.

Thank you Timo Aaltonen for you time and attention.

Hi,
I did do the same thing. And it worked.
Thank you for your help.

jack lemon (mb0087) wrote :

Worked for me too, all flickering gone. Thank you :)

tags: removed: kernel-da-key
Thomas Mayer (thomas303) wrote :

The 4.4.0-38, which got released via regular updates mitigated all the flickering for me. It's all fine now. Thanks for the patch.

Andrew (andrew-lock) wrote :

Regular updates loaded today which also cured the flickering for me . . . ah bliss :-)

Lars Magnus Herland (zhakal) wrote :

Still have the issue on 4.8.0-25-generic with Asus Z170 motherboard and dualscreen HDMI.

Ron (rone) wrote :

Unfortunately I am experiencing the same issue. Dell Latitude with a docking station, 2 monitors connected by DP, 1 VGA, running kernel 4.8.1

Same here. Started after I updated my system to 16.10. I'm using kernel 4.8.0-25-generic

Timo Aaltonen (tjaalton) wrote :

file a new bug, this one is closed

In case anyone finds this, this is the new filed bug:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1634449

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.